Show / Hide Table of Contents

# Enum UnixMainLoop.Condition

Condition on which to wake up from file descriptor activity. These match the Linux/BSD poll definitions.

###### Namespace: Mono.Terminal

###### Assembly: Terminal.Gui.dll

##### Syntax

    [System.Flags]
    public enum UnixMainLoop.Condition

### Fields

Name | Description
--- | ---
PollErr | Error condition on output
PollHup | Hang-up on output
PollIn | There is data to read
PollNval | File descriptor is not open.
PollOut | Writing to the specified descriptor will not block
PollPri | There is urgent data to read